{
  "db_name": "MySQL",
  "query": "\n            SELECT\n                reminders.`id` AS id,\n\n                channels.`channel` AS channel_id,\n                reminders.`thread_id` AS thread_id,\n                channels.`webhook_id` AS webhook_id,\n                channels.`webhook_token` AS webhook_token,\n\n                channels.`paused` AS 'channel_paused',\n                channels.`paused_until` AS 'channel_paused_until',\n                reminders.`enabled` AS 'enabled',\n\n                reminders.`tts` AS tts,\n                reminders.`pin` AS pin,\n                reminders.`content` AS content,\n                reminders.`attachment` AS attachment,\n                reminders.`attachment_name` AS attachment_name,\n\n                reminders.`utc_time` AS 'utc_time',\n                reminders.`timezone` AS timezone,\n                reminders.`restartable` AS restartable,\n                reminders.`expires` AS 'expires',\n                reminders.`interval_seconds` AS 'interval_seconds',\n                reminders.`interval_days` AS 'interval_days',\n                reminders.`interval_months` AS 'interval_months',\n\n                reminders.`avatar` AS avatar,\n                reminders.`username` AS username\n            FROM\n                reminders\n            INNER JOIN\n                channels\n            ON\n                reminders.channel_id = channels.id\n            WHERE\n                reminders.`status` = 'pending' AND\n                reminders.`id` IN (\n                    SELECT\n                        MIN(id)\n                    FROM\n                        reminders\n                    WHERE\n                        reminders.`utc_time` <= NOW() AND\n                        `status` = 'pending' AND\n                        (\n                            reminders.`interval_seconds` IS NOT NULL\n                            OR reminders.`interval_months` IS NOT NULL\n                            OR reminders.`interval_days` IS NOT NULL\n                            OR reminders.enabled\n                        )\n                    GROUP BY channel_id\n                )\n            ",
  "describe": {
    "columns": [
      {
        "ordinal": 0,
        "name": "id",
        "type_info": {
          "type": "Long",
          "flags": "NOT_NULL | PRIMARY_KEY | UNSIGNED | AUTO_INCREMENT",
          "max_size": 10
        }
      },
      {
        "ordinal": 1,
        "name": "channel_id",
        "type_info": {
          "type": "LongLong",
          "flags": "NOT_NULL | UNIQUE_KEY | UNSIGNED | NO_DEFAULT_VALUE",
          "max_size": 20
        }
      },
      {
        "ordinal": 2,
        "name": "thread_id",
        "type_info": {
          "type": "LongLong",
          "flags": "",
          "max_size": 20
        }
      },
      {
        "ordinal": 3,
        "name": "webhook_id",
        "type_info": {
          "type": "LongLong",
          "flags": "UNIQUE_KEY | UNSIGNED",
          "max_size": 20
        }
      },
      {
        "ordinal": 4,
        "name": "webhook_token",
        "type_info": {
          "type": "Blob",
          "flags": "BLOB",
          "max_size": 262140
        }
      },
      {
        "ordinal": 5,
        "name": "channel_paused",
        "type_info": {
          "type": "Tiny",
          "flags": "NOT_NULL",
          "max_size": 1
        }
      },
      {
        "ordinal": 6,
        "name": "channel_paused_until",
        "type_info": {
          "type": "Timestamp",
          "flags": "BINARY",
          "max_size": 19
        }
      },
      {
        "ordinal": 7,
        "name": "enabled",
        "type_info": {
          "type": "Tiny",
          "flags": "NOT_NULL",
          "max_size": 1
        }
      },
      {
        "ordinal": 8,
        "name": "tts",
        "type_info": {
          "type": "Tiny",
          "flags": "NOT_NULL",
          "max_size": 1
        }
      },
      {
        "ordinal": 9,
        "name": "pin",
        "type_info": {
          "type": "Tiny",
          "flags": "NOT_NULL",
          "max_size": 1
        }
      },
      {
        "ordinal": 10,
        "name": "content",
        "type_info": {
          "type": "VarString",
          "flags": "NOT_NULL",
          "max_size": 8192
        }
      },
      {
        "ordinal": 11,
        "name": "attachment",
        "type_info": {
          "type": "Blob",
          "flags": "BLOB | BINARY",
          "max_size": 16777215
        }
      },
      {
        "ordinal": 12,
        "name": "attachment_name",
        "type_info": {
          "type": "VarString",
          "flags": "",
          "max_size": 1040
        }
      },
      {
        "ordinal": 13,
        "name": "utc_time",
        "type_info": {
          "type": "Datetime",
          "flags": "NOT_NULL | MULTIPLE_KEY | BINARY | NO_DEFAULT_VALUE",
          "max_size": 19
        }
      },
      {
        "ordinal": 14,
        "name": "timezone",
        "type_info": {
          "type": "String",
          "flags": "NOT_NULL | ENUM",
          "max_size": 128
        }
      },
      {
        "ordinal": 15,
        "name": "restartable",
        "type_info": {
          "type": "Tiny",
          "flags": "NOT_NULL",
          "max_size": 1
        }
      },
      {
        "ordinal": 16,
        "name": "expires",
        "type_info": {
          "type": "Datetime",
          "flags": "BINARY",
          "max_size": 19
        }
      },
      {
        "ordinal": 17,
        "name": "interval_seconds",
        "type_info": {
          "type": "Long",
          "flags": "UNSIGNED",
          "max_size": 10
        }
      },
      {
        "ordinal": 18,
        "name": "interval_days",
        "type_info": {
          "type": "Long",
          "flags": "UNSIGNED",
          "max_size": 10
        }
      },
      {
        "ordinal": 19,
        "name": "interval_months",
        "type_info": {
          "type": "Long",
          "flags": "UNSIGNED",
          "max_size": 10
        }
      },
      {
        "ordinal": 20,
        "name": "avatar",
        "type_info": {
          "type": "VarString",
          "flags": "",
          "max_size": 2048
        }
      },
      {
        "ordinal": 21,
        "name": "username",
        "type_info": {
          "type": "VarString",
          "flags": "",
          "max_size": 128
        }
      }
    ],
    "parameters": {
      "Right": 0
    },
    "nullable": [
      false,
      false,
      true,
      true,
      true,
      false,
      true,
      false,
      false,
      false,
      false,
      true,
      true,
      false,
      false,
      false,
      true,
      true,
      true,
      true,
      true,
      true
    ]
  },
  "hash": "a33ef7167746183766b6a9b4e31784dd3712fa2b4f72482d4b681e0a9fdbaf1d"
}
